// ClassInfoDlg_Gui_CustomForm.cpp : implementation file
//

#include "stdafx.h"
#include "ClassInfoDlg_Gui_CustomForm.h"
#include "XmlClassInfo.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClassInfoDlg_Gui_CustomForm dialog


CClassInfoDlg_Gui_CustomForm::CClassInfoDlg_Gui_CustomForm(CWnd* pParent /*=NULL*/)
	: CPropertyEditorDlg(CClassInfoDlg_Gui_CustomForm::IDD, pParent),
	classInfo_(NULL)
{
	//{{AFX_DATA_INIT(CClassInfoDlg_Gui_CustomForm)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CClassInfoDlg_Gui_CustomForm::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CClassInfoDlg_Gui_CustomForm)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CClassInfoDlg_Gui_CustomForm, CPropertyEditorDlg)
	//{{AFX_MSG_MAP(CClassInfoDlg_Gui_CustomForm)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CClassInfoDlg_Gui_CustomForm message handlers

void CClassInfoDlg_Gui_CustomForm::StoreData()
{

}

void CClassInfoDlg_Gui_CustomForm::SetData(CXmlBaseElement* element)
{
	classInfo_ = dynamic_cast<CXmlClassInfo*>(element);
	assert(classInfo_);
	if (classInfo_ == NULL)
		return;
		
}

void CClassInfoDlg_Gui_CustomForm::OnDataUpdate()
{}